Last Comment Bug 522309 - filter out access points that do not have SSIDs
: filter out access points that do not have SSIDs
Status: RESOLVED FIXED
verified1.9.2
: privacy
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-14 11:48 PDT by Doug Turner (:dougt)
Modified: 2009-11-25 16:05 PST (History)
5 users (show)
mbeltzner: blocking1.9.2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta1-fixed
.6+
.6-fixed


Attachments
patch v.1 (1.12 KB, patch)
2009-10-14 11:48 PDT, Doug Turner (:dougt)
gavin.sharp: review+
dveditz: approval1.9.1.6+
Details | Diff | Splinter Review

Description Doug Turner (:dougt) 2009-10-14 11:48:50 PDT
Created attachment 406262 [details] [diff] [review]
patch v.1

If an access point has an empty SSID, we should consider not reporting it to any network geolocation provider.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2009-10-14 13:15:52 PDT
Comment on attachment 406262 [details] [diff] [review]
patch v.1

Indentation here is all weird. I would prefer:

function filterBlankSSIDs(ap) ap.ssid != ""
function deconstruct(ap) ({
  mac_address: ap.mac,
  ssid: ap.ssid,
  signal_strength: ap.signal
})

request.wifi_towers = accessPoints.filter(filterBlankSSIDs).map(deconstruct);
Comment 2 Doug Turner (:dougt) 2009-10-14 13:41:48 PDT
http://hg.mozilla.org/mozilla-central/rev/0fe41a905fe6
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2009-10-14 15:40:02 PDT
Good hygiene, should block on this, I think.
Comment 5 Daniel Veditz [:dveditz] 2009-10-19 14:24:30 PDT
Pretty sure you meant 1.9.1 rather than 1.9.0, but if this feature really is in Firefox 3.0 somewhere please renominate for that branch.
Comment 6 Daniel Veditz [:dveditz] 2009-10-21 15:50:19 PDT
Comment on attachment 406262 [details] [diff] [review]
patch v.1

Approved for 1.9.1.5, a=dveditz for release-drivers
Comment 7 Samuel Sidler (old account; do not CC) 2009-11-11 23:35:28 PST
Doug?
Comment 8 Doug Turner (:dougt) 2009-11-12 08:28:44 PST
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/4325d647ddee


QA -- it is easiest to verify this on windows xp, vista, or 7.


1) enable universal permissions:

pref("signed.applets.codebase_principal_support", true)


2) load the following page:

http://people.mozilla.org/~dougt/wifi_access_point_test.html

3) Accept the permission dialogs (there should be at least two)

4) what you will see a list that has entries like:

00-11-52-39-38-c3 MyAccessPoint -62


In a fixed build, you should _never_ see a line that doesn't have a access point name.  For example, if you see something like:

00-11-52-39-38-c3 -62

Then we can't resolve fixed on 1.9.1.*
Comment 9 Marcia Knous [:marcia - use ni] 2009-11-12 10:20:12 PST
Doug: Using  Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2b3pre) Gecko/20091112 Namoroka/3.6b3pre GTB6 (.NET CLR 3.5.30729), I see several entries such as:

00-1a-1e-12-70-21 -65

So if Comment 8 applies to 1.9.2 as well, this does not appear to be fixed.
Comment 10 Doug Turner (:dougt) 2009-11-12 10:26:03 PST
oh, i am sorry.  there should have been more steps for QA.


5) enable wifi geo logging:

pref("geo.wifi.logging.enabled", true)

6) restart browser

7) load http://people.mozilla.org/~dougt/geo.html

8) inspect javascript console.

Any mac address listed w/ an empty access point name should not be listed in the javscript console.
Comment 11 Marcia Knous [:marcia - use ni] 2009-11-12 14:19:51 PST
This looks good following the Steps from Comments 8 and 10. Verified fixed on the 1.9.2 branch using Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2b3pre) Gecko/20091112 Namoroka/3.6b3pre GTB6 (.NET CLR 3.5.30729). Adding keyword.
Comment 12 Al Billings [:abillings] 2009-11-25 16:05:38 PST
Marcia, can you verify this on a Windows box in the lab with a nightly 1.9.1 build? I only have VMs and am remote until next week.

Note You need to log in before you can comment on or make changes to this bug.